Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface ProcessInstanceInfo

All Superinterfaces:
  Serializable

public interface ProcessInstanceInfo
extends Serializable

Represents information about a particular process instance.

See Also:
  `{@link ProcessRuntimeMBean}`

Method Summary
`String` | `getDisplayName()` Returns the display name for the process.
`long` | `getExecTime()` Returns the total elapsed time in terms of milliseconds.
`String` | `getId()` Returns the conversation id of this process instance
`String` | `getLabel()` Returns the process label for this process instance.
`Date` | `getLastStatusChangeTime()` Returns the time when the status of this process has changed.
`ProcessNodeInfo[]` | `getPendingActivities()` Returns an array of pending activities, namely, nodes where the instance is blocked.
`WrappedThrowable[]` | `getProcessExceptions()` Returns a list of fatal exception for the instance.
`String` | `getServiceURI()` Returns the service URI for the process type
`long` | `getSLA()` Returns the SLA value in milliseconds for this process.
`long` | `getSLAWarning()` Returns the SLA Warning threshold in milliseconds.
`double` | `getSLAWarningThreshold()` Returns the SLA Warning threshold for this process as a fraction of the actual SLA.
`Date` | `getStartTime()` Returns the starting time for this process instance.
`ProcessStatus` | `getStatus()` Returns the current status of this instance.
`boolean` | `isDetailed()` Returns true if the detailed information about this instance is available.

Method Detail

### getServiceURI

    public String getServiceURI()

  Returns the service URI for the process type

### getDisplayName

    public String getDisplayName()

  Returns the display name for the process. This information can be obtained via `ProcessConfigurationMBean.getDisplayName()` as well.

### getId

    public String getId()

  Returns the conversation id of this process instance

### getLabel

    public String getLabel()

  Returns the process label for this process instance. For instances that are no longer running, this returns the last process label that was set by the instance.

### getStatus

    public ProcessStatus getStatus()

  Returns the current status of this instance.

### getProcessExceptions

    public WrappedThrowable[] getProcessExceptions()

  Returns a list of fatal exception for the instance. Usually just one.

### getStartTime

    public Date getStartTime()

  Returns the starting time for this process instance. Returns null if there was an error obtaining the start time.

### getLastStatusChangeTime

    public Date getLastStatusChangeTime()

  Returns the time when the status of this process has changed. The return value can be used to determine when a process has completed, terminated, suspended, aborted, and frozen. This method should be used in conjunction with `getStatus()` method.

### getExecTime

    public long getExecTime()

  Returns the total elapsed time in terms of milliseconds. This figure is the wall-clock execution time, and does not exclude the time an instance spent waiting for input. Elapsed time is computed differently depending on the current status of the instances. For running, suspended, and frozen instances the execution time is simply the difference between the current time and the start time. For aborted, terminated and completed instances it is the difference between the last status change time (i.e., whenever the instance has been aborted, terminated, or completed) and the start time.

### getSLA

    public long getSLA()

  Returns the SLA value in milliseconds for this process. This value can also be obtained via `ProcessConfigurationMBean.getSLA()`, and is included here for convenience.

### getSLAWarning

    public long getSLAWarning()

  Returns the SLA Warning threshold in milliseconds. This is equal to `getSLA() * getSLAWarningThreshold`

### getSLAWarningThreshold

    public double getSLAWarningThreshold()

  Returns the SLA Warning threshold for this process as a fraction of the actual SLA. This value can also be obtained via `ProcessConfigurationMBean.getSLAWarningThreshold()`, and is included here for convenience

### isDetailed

    public boolean isDetailed()

  Returns true if the detailed information about this instance is available. When `false` , pending activities and process exceptions are unavailable. In other words the calls to methods `getPendingActivities()`, and `getProcessExceptions()` will return null. Detail information is available only when obtaining information about one particular process instance, rather than querying for more than one instance.

  Returns:
  See Also:
    `ProcessRuntimeMBean.getProcessInstanceInfo(String, boolean)`

### getPendingActivities

    public ProcessNodeInfo[] getPendingActivities()

  Returns an array of pending activities, namely, nodes where the instance is blocked. A `null` return value indicates that the information is unavailable.

  See Also:
    `{@link ProcessRuntimeMBean#getPendingActivities}`, `{@link #isDetailed}.`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD